<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: tracker-append.php 3391 2005-06-20 17:09:07Z radek $
*/

// Require the initialisation file
require_once '../../init.php';

// Required files
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';

// Security check
phpAds_checkAccess(phpAds_Admin + phpAds_Agency);

// Register input variables
phpAds_registerGlobal (
	'clientid'
	,'trackerid'
	,'appendcode'
	,'submit'
);


/*-------------------------------------------------------*/
/* Affiliate interface security                          */
/*-------------------------------------------------------*/

if (phpAds_isUser(phpAds_Agency))
{
	$query = "SELECT c.clientid as clientid".
		" FROM ".$conf['table']['prefix'].$conf['table']['clients']." AS c".
		",".$conf['table']['prefix'].$conf['table']['trackers']." AS t".
		" WHERE t.clientid=c.clientid".
		" AND c.clientid=".$clientid.
		" AND t.trackerid=".$trackerid.
		" AND c.agencyid=".phpAds_getUserID();

	$res = phpAds_dbQuery($query)
		or phpAds_sqlDie();
	
	if (phpAds_dbNumRows($res) == 0)
	{
		phpAds_PageHeader("1");
		phpAds_Die ($strAccessDenied, $strNotAdmin);
	}
}

/*-------------------------------------------------------*/
/* Process submitted form                                */
/*-------------------------------------------------------*/

if (isset($submit) && !empty($trackerid))
{ 
	
	phpAds_dbQuery(
		"REPLACE INTO ".$conf['table']['prefix'].$conf['table']['trackers'].
		" (trackerid".
		",appendcode)".
		" VALUES".
		" (".$trackerid.
		",'".$appendcode."')"
	) or phpAds_sqlDie();
	
	Header("Location: tracker-invocation.php?clientid=".$clientid."&trackerid=".$trackerid);
	exit;
}


/*-------------------------------------------------------*/
/* HTML framework                                        */
/*-------------------------------------------------------*/



if (phpAds_isUser(phpAds_Admin) || phpAds_isUser(phpAds_Agency))
{
	//phpAds_PageShortcut($strClientProperties, 'advertiser-edit.php?clientid='.$clientid, 'images/icon-advertiser.gif');
	//phpAds_PageShortcut($strTrackerHistory, 'stats-tracker-history.php?clientid='.$clientid.'&trackerid='.$trackerid, 'images/icon-statistics.gif');


	phpAds_PageHeader("4.1.4.6");
		echo "\t\t\t\t<img src='images/icon-advertiser.gif' align='absmiddle'>&nbsp;".phpAds_getClientName($clientid)."\n";
		echo "\t\t\t\t<img src='images/".$phpAds_TextDirection."/caret-rs.gif'>\n";
		echo "\t\t\t\t<img src='images/icon-tracker.gif' align='absmiddle'>\n";
		echo "\t\t\t\t<b>".phpAds_getTrackerName($trackerid)."</b><br /><br /><br />\n";
		phpAds_ShowSections(array("4.1.4.2", "4.1.4.3", "4.1.4.5", "4.1.4.6", "4.1.4.4"));
}


if (!empty($trackerid) && !empty($clientid))
{

	// Fetch exisiting settings
	$res = phpAds_dbQuery(
		"SELECT *".
		" FROM ".$conf['table']['prefix'].$conf['table']['trackers'].
		" WHERE trackerid=".$trackerid
	) or phpAds_sqlDie();
	
	$tracker = phpAds_dbFetchArray($res);
	
    // Header
	echo "<form name='appendform' method='post' action='tracker-append.php'>";
	echo "<input type='hidden' name='clientid' value='".(isset($clientid) && $clientid != '' ? $clientid : '')."'>";
	echo "<input type='hidden' name='trackerid' value='".(isset($trackerid) && $trackerid != '' ? $trackerid : '')."'>";
	
	echo "<br /><table border='0' width='100%' cellpadding='0' cellspacing='0'>";
	echo "<tr><td height='25' colspan='3'><b>".$strTrackerCodeSubject."</b></td></tr>";
	echo "<tr height='1'><td width='30'><img src='images/break.gif' height='1' width='30'></td>";
	echo "<td width='200'><img src='images/break.gif' height='1' width='200'></td>";
	echo "<td width='100%'><img src='images/break.gif' height='1' width='100%'></td></tr>";
	echo "<tr><td height='10' colspan='3'>&nbsp;</td></tr>";
	
	
	// Regular HTML append
	echo "<tr><td width='30'>&nbsp;</td><td width='200' valign='top'>".$strTrackerCode."</td><td>";
	echo "<input type='hidden' name='appendsave' value='1'>";
	echo "<textarea name='appendcode' rows='6' cols='55' style='width: 100%;' tabindex='".($tabindex++)."'>".htmlspecialchars($tracker['appendcode'])."</textarea>";
	echo "</td></tr>";
	
	
	// Footer
	echo "<tr><td height='10' colspan='3'>&nbsp;</td></tr>";
	echo "<tr height='1'><td colspan='3' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td></tr>";
	echo "</table><br /><br />";
	echo "<input type='submit' name='submit' value='".$strSaveChanges."' tabindex='".($tabindex++)."'>";
	echo "</form>";
}
else
{
	echo "<br /><br /><div class='errormessage'><img class='errormessage' src='images/info.gif' width='16' height='16' border='0' align='absmiddle'>";
	echo $strAppendTrackerNotPossible;
	echo "</div>";
}


/*-------------------------------------------------------*/
/* Store preferences                                     */
/*-------------------------------------------------------*/

$session['prefs']['tracker-variables.php']['trackerid'] = $trackerid;
	

phpAds_SessionDataStore();

phpAds_PageFooter();

?>